XMLHelpers = {}

function XMLHelpers.forallChilds(element, predicate)
	local childs = element:GetElements()

	for i=0, childs:size()-1 do
		local child = childs:get(i)
		predicate(child)
	end
end
-------------------------------------------------------------------------------